com.fasterxml.jackson.dataformat.avro.apacheimpl

## Class ApacheCodecRecycler

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.apacheimpl.ApacheCodecRecycler

-     public final class ApacheCodecRecycler
      extends Object

  Simple helper class that contains extracted functionality for simple encoder/decoder recycling.
  Since:
    2.8.7

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ApacheCodecRecycler.BadSchemaException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ThreadLocal<SoftReference<ApacheCodecRecycler>>` | `_recycler`
    `protected static org.apache.avro.io.DecoderFactory` | `DECODER_FACTORY`
    `protected static org.apache.avro.io.EncoderFactory` | `ENCODER_FACTORY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.avro.io.BinaryDecoder` | `decoder(byte[] buffer, int offset, int len)`
    `static org.apache.avro.io.BinaryDecoder` | `decoder(InputStream in, boolean buffering)`
    `static org.apache.avro.io.BinaryEncoder` | `encoder(OutputStream out, boolean buffering)`
    `static void` | `release(org.apache.avro.io.BinaryDecoder dec)`
    `static void` | `release(org.apache.avro.io.BinaryEncoder enc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DECODER_FACTORY

          protected static final org.apache.avro.io.DecoderFactory DECODER_FACTORY

    - #### ENCODER_FACTORY

          protected static final org.apache.avro.io.EncoderFactory ENCODER_FACTORY

    - #### _recycler

          protected static final ThreadLocal<SoftReference<ApacheCodecRecycler>> _recycler

  - ### Method Detail

    - #### decoder

          public static org.apache.avro.io.BinaryDecoder decoder(InputStream in,
                                                                 boolean buffering)

    - #### decoder

          public static org.apache.avro.io.BinaryDecoder decoder(byte[] buffer,
                                                                 int offset,
                                                                 int len)

    - #### encoder

          public static org.apache.avro.io.BinaryEncoder encoder(OutputStream out,
                                                                 boolean buffering)

    - #### release

          public static void release(org.apache.avro.io.BinaryDecoder dec)

    - #### release

          public static void release(org.apache.avro.io.BinaryEncoder enc)

Copyright © 2019 FasterXML. All rights reserved.